"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../common");
function formatAccountInfo(response) {
    const data = response.account_data;
    return common_1.removeUndefined({
        sequence: data.Sequence,
        xrpBalance: common_1.dropsToXrp(data.Balance),
        ownerCount: data.OwnerCount,
        previousInitiatedTransactionID: data.AccountTxnID,
        previousAffectingTransactionID: data.PreviousTxnID,
        previousAffectingTransactionLedgerVersion: data.PreviousTxnLgrSeq
    });
}
async function getAccountInfo(address, options = {}) {
    common_1.validate.getAccountInfo({ address, options });
    address = common_1.ensureClassicAddress(address);
    const response = await this.request('account_info', {
        account: address,
        ledger_index: options.ledgerVersion || 'validated'
    });
    return formatAccountInfo(response);
}
exports.default = getAccountInfo;
//# sourceMappingURL=accountinfo.js.map