"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../common");
const ledger_1 = require("./parse/ledger");
async function getLedger(options = {}) {
    common_1.validate.getLedger({ options });
    const response = await this.request('ledger', {
        ledger_hash: options.ledgerHash,
        ledger_index: options.ledgerVersion || 'validated',
        expand: options.includeAllData,
        transactions: options.includeTransactions,
        accounts: options.includeState
    });
    return ledger_1.parseLedger(response.ledger);
}
exports.default = getLedger;
//# sourceMappingURL=ledger.js.map