"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = __importStar(require("lodash"));
const common_1 = require("../common");
const account_order_1 = require("./parse/account-order");
function formatResponse(address, responses) {
    let orders = [];
    for (const response of responses) {
        const offers = response.offers.map(offer => {
            return account_order_1.parseAccountOrder(address, offer);
        });
        orders = orders.concat(offers);
    }
    return _.sortBy(orders, order => order.properties.sequence);
}
async function getOrders(address, options = {}) {
    common_1.validate.getOrders({ address, options });
    const responses = await this._requestAll('account_offers', {
        account: address,
        ledger_index: options.ledgerVersion || await this.getLedgerVersion(),
        limit: options.limit
    });
    return formatResponse(address, responses);
}
exports.default = getOrders;
//# sourceMappingURL=orders.js.map