"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const payment_channel_1 = require("./parse/payment-channel");
const common_1 = require("../common");
const NotFoundError = common_1.errors.NotFoundError;
function formatResponse(response) {
    if (response.node === undefined ||
        response.node.LedgerEntryType !== 'PayChannel') {
        throw new NotFoundError('Payment channel ledger entry not found');
    }
    return payment_channel_1.parsePaymentChannel(response.node);
}
async function getPaymentChannel(id) {
    common_1.validate.getPaymentChannel({ id });
    const response = await this.request('ledger_entry', {
        index: id,
        binary: false,
        ledger_index: 'validated'
    });
    return formatResponse(response);
}
exports.default = getPaymentChannel;
//# sourceMappingURL=payment-channel.js.map