"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _ = __importStar(require("lodash"));
const common_1 = require("../common");
const account_trustline_1 = __importDefault(require("./parse/account-trustline"));
function currencyFilter(currency, trustline) {
    return currency === null || trustline.specification.currency === currency;
}
async function getTrustlines(address, options = {}) {
    common_1.validate.getTrustlines({ address, options });
    address = common_1.ensureClassicAddress(address);
    const responses = await this._requestAll('account_lines', {
        account: address,
        ledger_index: await this.getLedgerVersion(),
        limit: options.limit,
        peer: options.counterparty
    });
    const trustlines = _.flatMap(responses, response => response.lines);
    return trustlines.map(account_trustline_1.default).filter(trustline => {
        return currencyFilter(options.currency || null, trustline);
    });
}
exports.default = getTrustlines;
//# sourceMappingURL=trustlines.js.map